#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2fbdbcdc, "module_layout" },
	{ 0xf2023e76, "eth_change_mtu" },
	{ 0xbb208c12, "eth_validate_addr" },
	{ 0xa80a3209, "eth_mac_addr" },
	{ 0x9d52ea7, "usb_register_driver" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x93fca811, "__get_free_pages" },
	{ 0x6ce629c3, "register_netdev" },
	{ 0x37f86f11, "init_timer_key" },
	{ 0xb19785c3, "usb_alloc_coherent" },
	{ 0xc7ec28b0, "memcmp" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x3c393b7a, "usb_reset_configuration" },
	{ 0x9146fa83, "alloc_etherdev_mqs" },
	{ 0xbe82a5a9, "release_firmware" },
	{ 0x7cd6fda9, "request_firmware" },
	{ 0x21dba248, "netif_carrier_off" },
	{ 0x829d2b89, "netif_carrier_on" },
	{ 0xf1f503e9, "usb_autopm_get_interface" },
	{ 0xbb40d960, "usb_autopm_put_interface" },
	{ 0x14f0156a, "skb_copy_expand" },
	{ 0xe551272c, "_raw_spin_lock_irq" },
	{ 0x37a0cba, "kfree" },
	{ 0x4a7e6e40, "usb_alloc_urb" },
	{ 0x41a5a9be, "kmem_cache_alloc" },
	{ 0x8a7ca0e7, "malloc_sizes" },
	{ 0xbc3d21af, "finish_wait" },
	{ 0xd62c833f, "schedule_timeout" },
	{ 0x69ff5332, "prepare_to_wait" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0xfc6e8775, "__init_waitqueue_head" },
	{ 0x9b52c3dc, "dev_kfree_skb_irq" },
	{ 0x16305289, "warn_slowpath_null" },
	{ 0x35ff3b57, "__netif_schedule" },
	{ 0x1902adf, "netpoll_trap" },
	{ 0x16a0fdb6, "usb_unlink_urb" },
	{ 0x7d11c268, "jiffies" },
	{ 0x31de8535, "dev_warn" },
	{ 0x38505791, "free_netdev" },
	{ 0xed2ea10c, "usb_free_coherent" },
	{ 0x1add7546, "usb_free_urb" },
	{ 0x4cb5108c, "unregister_netdev" },
	{ 0xe220f104, "dev_set_drvdata" },
	{ 0xef0af8d1, "_dev_info" },
	{ 0xfb5f846a, "cancel_delayed_work_sync" },
	{ 0x9cc0fc0d, "usb_kill_urb" },
	{ 0x47c98cc4, "netif_rx" },
	{ 0x60c28638, "eth_type_trans" },
	{ 0x7f277eb, "skb_put" },
	{ 0x6067a146, "memcpy" },
	{ 0x23618551, "dev_alloc_skb" },
	{ 0xc4097c34, "_raw_spin_lock" },
	{  0xf1338, "__wake_up" },
	{ 0x8ddab831, "_raw_spin_unlock_irqrestore" },
	{ 0x1a9b678e, "_raw_spin_lock_irqsave" },
	{ 0xa12d610b, "dev_get_drvdata" },
	{ 0xf1bea6f1, "schedule_delayed_work" },
	{ 0x200d26de, "printk" },
	{ 0xb4e454a, "usb_submit_urb" },
	{ 0xb10d50e7, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore";

MODULE_ALIAS("usb:v03E8p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04BBp0901d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0506p03E8d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0506p11F8d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0557p2002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0557p4000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0565p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0565p0003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0565p0005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05E9p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05E9p0009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v066Bp2202d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E1p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E1p0009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0707p0100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8p4000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07C9pB010d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p1001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p1002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v085Ap0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v085Ap0009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v087Dp5704d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0951p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v095Ap3003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v10BDp1427d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1342p0204d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13D2p0400d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1485p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1485p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1645p0005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1645p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1645p8005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1668p0323d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p4000d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "06CEBCD2325F5E839EC5E5B");
