#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2fbdbcdc, "module_layout" },
	{ 0x4769b8da, "orinoco_get_stats" },
	{ 0x37290a5e, "orinoco_tx_timeout" },
	{ 0x5558784f, "orinoco_change_mtu" },
	{ 0xbb208c12, "eth_validate_addr" },
	{ 0xa80a3209, "eth_mac_addr" },
	{ 0xe42c08e7, "orinoco_set_multicast_list" },
	{ 0xcdb0b76, "orinoco_stop" },
	{ 0x267be54f, "orinoco_open" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0x9d52ea7, "usb_register_driver" },
	{ 0x62b0af21, "__orinoco_ev_rx" },
	{ 0x5f0e9c02, "__orinoco_ev_info" },
	{ 0xbe82a5a9, "release_firmware" },
	{ 0x83e1f4ac, "orinoco_if_add" },
	{ 0x2a1c1fe6, "orinoco_init" },
	{ 0x7cd6fda9, "request_firmware" },
	{ 0x3213c5c5, "__mutex_init" },
	{ 0x778a314a, "alloc_orinocodev" },
	{ 0x8c183cbe, "iowrite16" },
	{ 0xcc71ca4d, "usb_control_msg" },
	{ 0x4588bf0f, "__dynamic_pr_debug" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xef66b0a9, "orinoco_process_xmit_skb" },
	{ 0x3fa03a97, "memset" },
	{ 0xbe84aa06, "consume_skb" },
	{ 0x37f86f11, "init_timer_key" },
	{ 0xfc6e8775, "__init_waitqueue_head" },
	{ 0x4a7e6e40, "usb_alloc_urb" },
	{ 0x41a5a9be, "kmem_cache_alloc" },
	{ 0x8a7ca0e7, "malloc_sizes" },
	{ 0x45e60c00, "del_timer" },
	{ 0xa44fffc1, "schedule" },
	{ 0x69ff5332, "prepare_to_wait" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0xbc3d21af, "finish_wait" },
	{ 0xa39b4cf2, "udelay" },
	{ 0xc73dd955, "_raw_spin_unlock_bh" },
	{ 0x3b502f70, "_raw_spin_lock_bh" },
	{ 0x6067a146, "memcpy" },
	{ 0xd78b46bc, "mod_timer" },
	{ 0x7d11c268, "jiffies" },
	{ 0x51337cc4, "free_orinocodev" },
	{ 0xaa3bceb, "orinoco_if_del" },
	{ 0x89c7e072, "mutex_unlock" },
	{ 0x2f4ea1ac, "wait_for_completion" },
	{ 0xf9295f1b, "del_timer_sync" },
	{ 0x16a0fdb6, "usb_unlink_urb" },
	{ 0x9cc0fc0d, "usb_kill_urb" },
	{ 0x5e2d13f9, "mutex_lock" },
	{ 0xe220f104, "dev_set_drvdata" },
	{ 0xa12d610b, "dev_get_drvdata" },
	{ 0x35ff3b57, "__netif_schedule" },
	{ 0xad998077, "complete" },
	{ 0x1902adf, "netpoll_trap" },
	{ 0x8ddab831, "_raw_spin_unlock_irqrestore" },
	{ 0x1a9b678e, "_raw_spin_lock_irqsave" },
	{ 0xb4e454a, "usb_submit_urb" },
	{ 0x200d26de, "printk" },
	{ 0x16305289, "warn_slowpath_null" },
	{ 0x37a0cba, "kfree" },
	{ 0x1add7546, "usb_free_urb" },
	{ 0xb10d50e7, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=orinoco,usbcore";

MODULE_ALIAS("usb:v049Fp001Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v049Fp0082d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v049Fp0076d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0006d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p000Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p000Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v047Ep0300d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D98p0300d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D9Ep0300d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D4Ep1000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D4Ep1001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05CCp3100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E7Cp0300d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04E8p5002d0000dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04E8p5B11d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04E8p7011d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0681p0012d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BF8p1002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1630pFF81d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D4Ep047Ad*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "9A0C9BDFA0E2C5F908ED115");
