#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2fbdbcdc, "module_layout" },
	{ 0x9d52ea7, "usb_register_driver" },
	{ 0x5d6d5a90, "skb_push" },
	{ 0xea5a675, "skb_pull" },
	{ 0x23618551, "dev_alloc_skb" },
	{ 0x9b52c3dc, "dev_kfree_skb_irq" },
	{ 0xa6b8b866, "skb_trim" },
	{ 0xc29cba82, "p54_rx" },
	{ 0x7f277eb, "skb_put" },
	{ 0xb1f41579, "p54_register_common" },
	{ 0x452975a2, "p54_read_eeprom" },
	{ 0x24c332c0, "p54_parse_firmware" },
	{ 0x7cd6fda9, "request_firmware" },
	{ 0x89c7e072, "mutex_unlock" },
	{ 0x61c80f1c, "usb_reset_device" },
	{ 0x97122a7d, "usb_lock_device_for_reset" },
	{ 0x522c2360, "usb_get_dev" },
	{ 0xfc6e8775, "__init_waitqueue_head" },
	{ 0xe220f104, "dev_set_drvdata" },
	{ 0xbae16569, "p54_init_common" },
	{ 0x200010b5, "skb_unlink" },
	{ 0xa1f56336, "kfree_skb" },
	{ 0xfaa7d308, "skb_queue_tail" },
	{ 0xb872da14, "__alloc_skb" },
	{ 0xc7ec28b0, "memcmp" },
	{ 0x3bd1b1f6, "msecs_to_jiffies" },
	{ 0x7d11c268, "jiffies" },
	{ 0x92ea4ae4, "crc32_le" },
	{ 0x8b7fe311, "kmemdup" },
	{ 0x2e4afdff, "usb_ifnum_to_if" },
	{ 0x86831b7d, "p54_free_skb" },
	{ 0xacfc26d8, "usb_unanchor_urb" },
	{ 0x1add7546, "usb_free_urb" },
	{ 0xb4e454a, "usb_submit_urb" },
	{ 0x7f3e0836, "usb_anchor_urb" },
	{ 0x3fa03a97, "memset" },
	{ 0x4a7e6e40, "usb_alloc_urb" },
	{ 0xc7c53ba8, "dev_err" },
	{ 0x494c360b, "usb_interrupt_msg" },
	{ 0x6067a146, "memcpy" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x37a0cba, "kfree" },
	{ 0x41a5a9be, "kmem_cache_alloc" },
	{ 0x8a7ca0e7, "malloc_sizes" },
	{ 0x1cfe94b, "usb_bulk_msg" },
	{ 0xc6b03c04, "p54_free_common" },
	{ 0xbe82a5a9, "release_firmware" },
	{ 0xedefa41a, "usb_put_dev" },
	{ 0xa91f940d, "p54_unregister_common" },
	{ 0xe270ac5e, "usb_kill_anchored_urbs" },
	{ 0xb94206a8, "ieee80211_restart_hw" },
	{ 0xa12d610b, "dev_get_drvdata" },
	{ 0xb10d50e7, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,p54common,mac80211";

MODULE_ALIAS("usb:v0411p0050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v045Ep00C2d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0506p0A11d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0675p0530d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06B9p0120d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0707pEE06d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp001Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083Ap4501d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083Ap4502d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083Ap5501d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p4200d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p4210d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p4220d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v09AAp1000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BF8p1007d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0CDEp0006d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6826d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v107Bp55F2d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v124Ap4023d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1435p0210d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v15A9p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1630p0005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v182Dp096Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1915p2234d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1915p2235d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3701d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3703d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3762d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v5041p2234d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v5041p2235d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0471p1230d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0572p2000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0572p2002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06A9p000Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06B9p0121d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp0020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0803p4310d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083Ap4521d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083Ap4531d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083ApC501d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083ApF503d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p4240d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0915p2000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0915p2002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BAFp0118d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BF8p1009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0CDEp0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0CDEp0015d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D8Ep3762d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v124Ap4025d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1260pEE22d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p000Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p000Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1413p5400d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1435p0427d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1668p1050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1740p1000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3704d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3705d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp5513d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8102d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8104d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "B7F934BE37886DAF80398C0");
