#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2fbdbcdc, "module_layout" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x9d52ea7, "usb_register_driver" },
	{ 0x6067a146, "memcpy" },
	{ 0x313e0a80, "input_event" },
	{ 0x7cb67edd, "input_free_device" },
	{ 0x7f2e266a, "input_register_device" },
	{ 0x9edbecae, "snprintf" },
	{ 0xb11fa1ce, "strlcat" },
	{ 0x672144bd, "strlcpy" },
	{ 0x5a34a45c, "__kmalloc" },
	{ 0xb19785c3, "usb_alloc_coherent" },
	{ 0x9632890e, "input_allocate_device" },
	{ 0x4a7e6e40, "usb_alloc_urb" },
	{ 0x8b7fe311, "kmemdup" },
	{ 0xc499ae1e, "kstrdup" },
	{ 0x3fa03a97, "memset" },
	{ 0x1cfe94b, "usb_bulk_msg" },
	{ 0x41a5a9be, "kmem_cache_alloc" },
	{ 0x8a7ca0e7, "malloc_sizes" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcc71ca4d, "usb_control_msg" },
	{ 0x86ffe9a0, "input_set_abs_params" },
	{ 0x200d26de, "printk" },
	{ 0x7d11c268, "jiffies" },
	{ 0xbb40d960, "usb_autopm_put_interface" },
	{ 0xf1f503e9, "usb_autopm_get_interface" },
	{ 0xed2ea10c, "usb_free_coherent" },
	{ 0x8597aae1, "input_unregister_device" },
	{ 0xe220f104, "dev_set_drvdata" },
	{ 0x37a0cba, "kfree" },
	{ 0x1add7546, "usb_free_urb" },
	{ 0x9cc0fc0d, "usb_kill_urb" },
	{ 0xb4e454a, "usb_submit_urb" },
	{ 0x89c7e072, "mutex_unlock" },
	{ 0x5e2d13f9, "mutex_lock" },
	{ 0xa12d610b, "dev_get_drvdata" },
	{ 0xb10d50e7, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore";

MODULE_ALIAS("usb:v0EEFp0001d*dc*dsc*dp*ic03isc*ip02*");
MODULE_ALIAS("usb:v0EEFp0002d*dc*dsc*dp*ic03isc*ip02*");
MODULE_ALIAS("usb:v3823p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v3823p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0123p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0EEFp0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0EEFp0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1234p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1234p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v134Cp0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v134Cp0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v134Cp0003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v134Cp0004d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0596p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pF9E9d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v16E3pF9E9d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1234p5678d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0637p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0AFAp03E8d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v595Ap0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v6615p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1391p1000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DFCp0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08F2p007Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08F2p00CEd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08F2p00F4d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F92p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1AC7p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14C8p0003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0664p0309d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0664p0306d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v10F0p2002d*dc*dsc*dp*ic0Aisc00ip00*");
MODULE_ALIAS("usb:v1870p0001d*dc*dsc*dp*ic0Aisc00ip00*");

MODULE_INFO(srcversion, "80F8C9C61A148820DBBAA6A");
