#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2fbdbcdc, "module_layout" },
	{ 0xac74123a, "usbnet_resume" },
	{ 0x9a57af6e, "usbnet_suspend" },
	{ 0x4ff38fb9, "usbnet_disconnect" },
	{ 0xa4e1b91, "usbnet_probe" },
	{ 0xa80a3209, "eth_mac_addr" },
	{ 0xda43413e, "usbnet_nway_reset" },
	{ 0x388e8b5, "usbnet_set_msglevel" },
	{ 0xf4c1623e, "usbnet_get_msglevel" },
	{ 0xf145d326, "usbnet_set_settings" },
	{ 0x96d62c04, "usbnet_get_settings" },
	{ 0x4c4f84ce, "usbnet_tx_timeout" },
	{ 0xd89aaab3, "usbnet_change_mtu" },
	{ 0xbb208c12, "eth_validate_addr" },
	{ 0xd1d79b8b, "usbnet_start_xmit" },
	{ 0xc9350cd6, "usbnet_stop" },
	{ 0xfffe197c, "usbnet_open" },
	{ 0x9d52ea7, "usb_register_driver" },
	{ 0xb10d50e7, "usb_deregister" },
	{ 0x21dba248, "netif_carrier_off" },
	{ 0xe2c7766c, "usbnet_defer_kevent" },
	{ 0x829d2b89, "netif_carrier_on" },
	{ 0x6a338fd1, "usbnet_unlink_rx_urbs" },
	{ 0x8320bea8, "__umodsi3" },
	{ 0xb1bad029, "usbnet_skb_return" },
	{ 0xd2a1a00e, "skb_clone" },
	{ 0xea5a675, "skb_pull" },
	{ 0x5dbbe98e, "memmove" },
	{ 0x7f277eb, "skb_put" },
	{ 0x5d6d5a90, "skb_push" },
	{ 0xff1433c5, "dev_kfree_skb_any" },
	{ 0x14f0156a, "skb_copy_expand" },
	{ 0x13250823, "mii_nway_restart" },
	{ 0xa1b2cfbb, "usbnet_get_endpoints" },
	{ 0x89c7e072, "mutex_unlock" },
	{ 0x5e2d13f9, "mutex_lock" },
	{ 0xfaf98462, "bitrev32" },
	{ 0x92ea4ae4, "crc32_le" },
	{ 0x200d26de, "printk" },
	{ 0x6067a146, "memcpy" },
	{ 0x5a34a45c, "__kmalloc" },
	{ 0x1add7546, "usb_free_urb" },
	{ 0xb4e454a, "usb_submit_urb" },
	{ 0x41a5a9be, "kmem_cache_alloc" },
	{ 0x8a7ca0e7, "malloc_sizes" },
	{ 0x4a7e6e40, "usb_alloc_urb" },
	{ 0xcfcdc709, "generic_mii_ioctl" },
	{ 0x943da66b, "usbnet_get_drvinfo" },
	{ 0x5a512859, "mii_link_ok" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4b255849, "mii_ethtool_gset" },
	{ 0x619e0956, "mii_check_media" },
	{ 0xf00fab60, "netdev_err" },
	{ 0xc75ef37f, "dev_printk" },
	{ 0x8b7fe311, "kmemdup" },
	{ 0x37a0cba, "kfree" },
	{ 0xcc71ca4d, "usb_control_msg" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,usbcore";

MODULE_ALIAS("usb:v077Bp2226d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p1040d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p1A00d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p1720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8p420Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08DDp90FFd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0557p2009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p003Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p006Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v6189p182Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DF6p0056d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp0017d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1189p0893d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1631p6200d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04F1p3008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p772Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p7720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p1780d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0789p0160d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p0018d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1557p7720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D1p3C05d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3C05d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p1A02d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1737p0039d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04BBp0930d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp5055d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp1402d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p772Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14EApAB11d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0pA877d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p7E2Bd*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "1FF136D25C1CA15247169AE");
